function JumpSearchLayers(typeid,positionid,arrayid,fname,vname,tname)
{
    var e = e||window.event; // 获取鼠标坐标定位
	var objllist=document.getElementsByTagName("select");
	for(var i=0;i<objllist.length;i++)
    {
		objllist[i].style.visibility="hidden";
	} 
	document.getElementById("bodyly").style.display="block";
	document.getElementById("bodyly").style.width=document.documentElement.scrollWidth;   
	document.getElementById("bodyly").style.height=document.documentElement.scrollHeight; 
	document.getElementById("SearchDivhire").style.display='block';
    if (navigator.appName.indexOf("Explorer") > -1) {
        document.getElementById("SearchDivhire").style.top = document.documentElement.scrollTop + "px";
        document.getElementById("SearchDivhire").style.left = document.documentElement.scrollWidth / 2 - 270 + "px";
    }
    else {
        document.getElementById("SearchDivhire").style.top = document.body.scrollTop + "px";
        document.getElementById("SearchDivhire").style.left = e.clientX - 270 + "px";
    }
	document.getElementById("city").style.display="none";
	var onecount;
	strs='';
	if (arrayid==1)
	{
	onecount=positionarray.length;
	arraynames=positionarray;
	document.getElementById("wintit").innerHTML='请选择岗位类别';
	strss='<span style=line-height:24px;float:left;font-weight:bold;width:500px; font-size:13px;>请选择职位</span>'
	}
	if (arrayid==2)
	{
	onecount=provincearray.length;
	arraynames=provincearray;
	document.getElementById("wintit").innerHTML='请选择所在省市';
	strss='<span style=line-height:24px;float:left;font-weight:bold;width:500px; font-size:13px;>请选择城市</span>'
	}
	if (arrayid==3)
	{
	onecount=positionarrays.length;
	arraynames=positionarrays;
	document.getElementById("wintit").innerHTML='请选择岗位类别';
	strs='<span style=line-height:24px;float:left;font-weight:bold;width:500px; font-size:13px;>请选择职位</span>'
	}
	var positionid=positionid;
	var i;
	str='';
	if (typeid==2)
	{
		str='';
	}
	else
	if (typeid==0)
	{
		str='';
	}
	else
	{
		str=strs;
	}
	for (i=0;i<onecount;i++)
	{
	if (typeid==2)
	{
		document.getElementById("hiretype").innerHTML='';
		str+='<li style="float:left;width:160px;height:20px;cursor:pointer;" onclick=document.'+fname+'.'+vname+'.value="'+arraynames[i][0]+'";document.'+fname+'.'+tname+'.value="'+arraynames[i][0]+","+arraynames[i][2]+'";unSearchLayers();>'+arraynames[i][0]+'</li>'
		document.getElementById("hiretypes").innerHTML=str;	
	}
	else
		if (arraynames[i][1] == positionid)
		{
			if (typeid==0)
			{
				document.getElementById("hiretype").innerHTML='';
				str+='<li onclick=JumpSearchLayers(1,'+arraynames[i][2]+','+arrayid+',"'+fname+'","'+vname+'","'+tname+'");InsertType("'+arraynames[i][0]+","+arraynames[i][2]+'",'+arrayid+',"'+fname+'","'+vname+'","'+tname+'","'+arraynames[i][0]+'"); onmouseover=this.style.background="#F1F8FC" onmouseout=this.style.background="" style="float:left;width:160px;height:20px;cursor:pointer;">'+arraynames[i][0]+'</li>'
				document.getElementById("hiretypes").innerHTML=str;
			}
			else
			{
				document.getElementById("hiretype").innerHTML='';
				str+='<li style="float:left;width:160px;height:20px;cursor:pointer;" onclick=document.'+fname+'.'+vname+'.value="'+arraynames[i][0]+'";document.'+fname+'.'+tname+'.value="'+arraynames[i][0]+","+arraynames[i][2]+'";unSearchLayers();>'+arraynames[i][0]+'</li>'
				document.getElementById("hiretype").innerHTML=str;
			}
		}
	}
}

function InsertType(positionid,arrayid,fname,vname,tname,nname)
{
document.getElementById("city").style.display="block";
strsss='<li style="float:left;width:170px;height:20px;cursor:pointer;" onclick=document.'+fname+'.'+vname+'.value="'+nname+'-不限";document.'+fname+'.'+tname+'.value="'+positionid+'";unSearchLayers();>'+nname+'-不限</li>'
strss=strss+strsss;
document.getElementById("city").innerHTML=strss;	
}

function JumpSearchDate(fname,vname,tname)
{
	var objllist=document.getElementsByTagName("select");
	for(var i=0;i<objllist.length;i++)
    {
		objllist[i].style.visibility="hidden";
	} 
document.getElementById("wintit").innerHTML='请选择查询日期';
document.getElementById("hiretypes").innerHTML='';
document.getElementById("hiretype").innerHTML='';
document.getElementById("city").innerHTML='';
document.getElementById("SearchDivhire").style.display = "block";
document.getElementById("bodyly").style.display="block";
document.getElementById("bodyly").style.width=document.body.scrollWidth;   
document.getElementById("bodyly").style.height=document.body.scrollHeight;
document.getElementById("SearchDivhire").style.display='block';
    if (navigator.appName.indexOf("Explorer") > -1) {
        document.getElementById("SearchDivhire").style.top = document.documentElement.scrollTop + "px";
        document.getElementById("SearchDivhire").style.left = document.documentElement.scrollWidth / 2 - 270 + "px";
    }
    else {
        document.getElementById("SearchDivhire").style.top = document.body.scrollTop + "px";
        document.getElementById("SearchDivhire").style.left = e.clientX - 270 + "px";
    }

str='';
str+='<li style="float:left;width:170px;height:20px;cursor:pointer;" onmouseover=this.style.background="#F1F8FC" onmouseout=this.style.background="" onclick=document.'+fname+'.'+tname+'.value="3";document.'+fname+'.'+vname+'.value="近三天";unSearchLayers();>·近三天</li>'
str+='<li style="float:left;width:170px;height:20px;cursor:pointer;" onmouseover=this.style.background="#F1F8FC" onmouseout=this.style.background="" onclick=document.'+fname+'.'+tname+'.value="7";document.'+fname+'.'+vname+'.value="近一周";unSearchLayers();>·近一周</li>'
str+='<li style="float:left;width:170px;height:20px;cursor:pointer;" onmouseover=this.style.background="#F1F8FC" onmouseout=this.style.background="" onclick=document.'+fname+'.'+tname+'.value="14";document.'+fname+'.'+vname+'.value="近两周";unSearchLayers();>·近两周</li>'
str+='<li style="float:left;width:170px;height:20px;cursor:pointer;" onmouseover=this.style.background="#F1F8FC" onmouseout=this.style.background="" onclick=document.'+fname+'.'+tname+'.value="30";document.'+fname+'.'+vname+'.value="近一月";unSearchLayers();>·近一月</li>'
str+='<li style="float:left;width:170px;height:20px;cursor:pointer;" onmouseover=this.style.background="#F1F8FC" onmouseout=this.style.background="" onclick=document.'+fname+'.'+tname+'.value="60";document.'+fname+'.'+vname+'.value="近两月";unSearchLayers();>·近两月</li>'
str+='<li style="float:left;width:170px;height:20px;cursor:pointer;" onmouseover=this.style.background="#F1F8FC" onmouseout=this.style.background="" onclick=document.'+fname+'.'+tname+'.value="182";document.'+fname+'.'+vname+'.value="近半年";unSearchLayers();>·近半年</li>'
str+='<li style="float:left;width:170px;height:20px;cursor:pointer;" onmouseover=this.style.background="#F1F8FC" onmouseout=this.style.background="" onclick=document.'+fname+'.'+tname+'.value="365";document.'+fname+'.'+vname+'.value="近一年";unSearchLayers();>·近一年</li>'
document.getElementById("hiretypes").innerHTML=str;
}
function unSearchLayers()
{
	var objllist=document.getElementsByTagName('select');
	for(var i=0;i<objllist.length;i++)
	{
		objllist[i].style.visibility="";
	}
	document.getElementById("SearchDivhire").style.display  = "none";
	document.getElementById("bodyly").style.display="none";
}

<!--实现层移动-->
var Obj;
 document.onmouseup=MUp;
 document.onmousemove=MMove;
 document.onmousedown=MDown;
function down(objs){
    Obj = document.getElementById(objs);
}
function MDown(event) {
 if(Obj){
      if (window.event) {/*IE*/
       event = window.event;
       Obj.setCapture();
      }
      else {/*Firefox*/
       window.captureEvents(Event.MOUSEMOVE|Event.MOUSEUP);
      }
      pX=event.clientX-Obj.offsetLeft;
      pY=event.clientY-Obj.offsetTop;
    }
 }
 function MMove(event) {
  if (window.event) event = window.event;
  if(Obj){
   Obj.style.left=event.clientX-pX + "px";
   Obj.style.top=event.clientY-pY + "px";
  }
 }
 function MUp(event) {
  if(Obj){
   if (window.event) Obj.releaseCapture();
   else window.captureEvents(Event.MOUSEMOVE|Event.MOUSEUP);
   Obj=null;
  }
 }